# Class InternalHyperlink

#### Hierarchy (view full)

- ConcreteHyperlink
  - InternalHyperlink

- Defined in file/paragraph/links/hyperlink.ts:35

#####
Index

### Constructors

constructor

### Properties

linkId

### Methods

addChildElement
prepForXml

##
Constructors

### constructor

- new InternalHyperlink(options): InternalHyperlink

- #### Parameters

  - options: {
    anchor: string;
    children: readonly ParagraphChild[];
    }

    - ##### `Readonly` anchor: string

    - ##### `Readonly` children: readonly ParagraphChild[]

  #### Returns InternalHyperlink

  Overrides ConcreteHyperlink.constructor

  - Defined in file/paragraph/links/hyperlink.ts:36

##
Properties

### `Readonly` linkId

linkId: string

Inherited from ConcreteHyperlink.linkId

- Defined in file/paragraph/links/hyperlink.ts:14

##
Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from ConcreteHyperlink.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from ConcreteHyperlink.prepForXml

  - Defined in file/xml-components/xml-component.ts:20